:
# NAME:
#	perl_setup.sh - setup env for Perl
#
# DESCRIPTION:
#	Find perl lib dirs in "DIR_LIST" so Perl(1) can run perl
#	scripts from the configs tree before we have actually
#	installed perl.
#
#	We try to use perl5 but will use any perl binary if need be.
#
# SEE ALSO:
#	Perl(1), config_setup.sh(8), stdalone_setup.sh(8).
#
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>

# RCSid:
#	$Id: perl_setup.sh,v 1.4 2001/12/10 21:49:40 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

[ "$DIR_LIST" ] || . $CONFIGS/config.d/stdalone_setup.sh

PERL=${PERL:-`Which perl5`}
PERL=${PERL:-`Which perl`}
PERL=${PERL:-`Which perl4.036`}
	
case "$PERL" in
*perl5*)
        PERL_INCS=`find_all /usr/local/lib/perl5 -d`
        ;;
esac
PERL_INCS="$PERL_INCS `find_all /usr/local/lib/perl -d`"
echo "PERL=$PERL, PERL_INCS=$PERL_INCS" | sed "s,$CONFIGS/,,g"

export PERL PERL_INCS
