:
# NAME:
#	rpath.sh - compute a relative path 
#
# SYNOPSIS:
#	rpath "from" "to"
#
# DESCRIPTION:
#	Rpath computes a relative path from "from" to "to".
#	
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>

# RCSid:
#	$Id: rpath.sh,v 1.3 2003/04/02 05:34:18 sjg Exp $
#
#	@(#) Copyright (c) 1998 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

rpath() {
        from=$1
        to=$2
        rp=
        cp=
        
        for d in `IFS=/; echo $from`
	do
                case $to/ in
		$cp/$d/*) cp=$cp/$d;;
		*)
                        case $to in
			/*)
                        	to=`expr $to : "$cp/\(.*\)"`
                                #skip this one rp="${rp}../"
                                ;;
			*)	rp="${rp}../"
                                ;;
			esac
                        ;;
		esac
	done
        echo  $rp$to
}

case /$0 in
*/rpath.sh)
        rpath "$@"
        ;;
esac
